AssertTest
Keywords: junit.tests.framework.AssertTest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.tests.framework
Class AssertTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              junit.tests.framework.AssertTest

All Implemented Interfaces:
  Test

    public class AssertTest

extends TestCase

Constructor Summary
`AssertTest()`

Method Summary
`void` | `testAssertEquals()`
`void` | `testAssertEqualsNull()`
`void` | `testAssertFalse()`
`void` | `testAssertNotNull()`
`void` | `testAssertNotSame()`
`void` | `testAssertNotSameFailsNull()`
`void` | `testAssertNull()`
`void` | `testAssertNullNotEqualsNull()`
`void` | `testAssertNullNotEqualsString()`
`void` | `testAssertSame()`
`void` | `testAssertStringEquals()`
`void` | `testAssertStringNotEqualsNull()`
`void` | `testAssertTrue()`
`void` | `testFail()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssertTest

    public AssertTest()

Method Detail

### testFail

    public void testFail()

### testAssertEquals

    public void testAssertEquals()

### testAssertEqualsNull

    public void testAssertEqualsNull()

### testAssertStringEquals

    public void testAssertStringEquals()

### testAssertNullNotEqualsString

    public void testAssertNullNotEqualsString()

### testAssertStringNotEqualsNull

    public void testAssertStringNotEqualsNull()

### testAssertNullNotEqualsNull

    public void testAssertNullNotEqualsNull()

### testAssertNull

    public void testAssertNull()

### testAssertNotNull

    public void testAssertNotNull()

### testAssertTrue

    public void testAssertTrue()

### testAssertFalse

    public void testAssertFalse()

### testAssertSame

    public void testAssertSame()

### testAssertNotSame

    public void testAssertNotSame()

### testAssertNotSameFailsNull

    public void testAssertNotSameFailsNull()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD